<?php
/* @var $this SiteController */

$this->pageTitle=Yii::app()->name;
?>

<!--<h1 style="color: red;">Produktivumgebung bitte sorgf&auml;ltig und gewissenhaft arbeiten :-)</h1>-->
<!--<h1 style="color: green;">Demo zum rumprobieren, bitte keine echten Namen und Telefonnummern verwenden</h1>-->

<h1>Beschreibung der Anwendung: <i><?php echo CHtml::encode(Yii::app()->name); ?></i></h1>

<br>
<h3>Prozessbeschreibungen</h3>

Grundsätzlich unterstützt die Anwendung fünf Prozesse: Vorerfassung, Annahme, Verkauf, Abholung und Reklamation.
Nachfolgend sind die möglichen Abläufe der einzelnen Bereiche grob die einzelnen Schritte erklärt:<br><br>

<ul>
    <li>Vorerfassung</li>
    <ul>
        <li>Die Vorerfassung kann optional verwendnet werden, wird Sie nicht verwendet dann weiter mit dem nächsten Schritt -> der Annahme</li>
        <li>Es gibt eine komplett eigenständige Anwendung wo sich ein Kunde registrieren und seine Artikel vorerfassen kann</li>
        <li>Typischerweise wird die Vorerfassungsanwendung im Internet publiziert und die restliche Anwendung nur im LAN verwendet</li>
        <li>Die Details wie genau die Vorerfassung funktioniert ist auf der "Home" Seite der Vorerfassungsanwendung zu finden</li>
        <li>Um einen vorerfassten Kunden inkls. der Artikel zu importieren geht man auf (Link: Kunde -> Kunde aus Vorerfassung importieren), wählt den Kunden aus und klickt auf "I"</li>
        <li>Bei vielen Artikeln kann der Import Vorgang einige Sekunden dauern, danach ist eine Meldung zu sehen was importiert wurde und ob dies erfolgreich bzw. nicht erfolgreich war</li>
        <li>Der Import kann grundsätzlich für den selben Kunden inkls. Artikel auch mehrfach durchgeführt werden, Vorsicht: mögliche inzwischen durchgeführte Änderungen an den Daten gehen verloren das die Daten 1:1 aus der Vorerfassung übernommen werden</li>
        <li>Um zu Prüfen ob ein Import erfolgreich war kann man einerseits indem man unter (Link: Kunde -> Kunde aus Vorerfassung importieren) die Spalten Anzahl_Artikel und Bereits Importiert vergleich oder bei der Kontrolle der Annahmeliste gemeinsam mit dem Kunden</li>
    </ul>
    <li>Annahme</li>
    <ul>
        <li>Erfassung von Kunde im System (link: Kunde -> Erstelle Kunde) oder der Kunde bereits durch die Vorerfassung importiert</li>
        <li>Bei der Artikelerfassung gibt es zwei Möglichkeiten:</li>
        <li>a.) man verwendet vorgedruckte Etiketten, beschriftet diese manuell und erfasst danach die Artikeldaten (ArtikelNr kommt von Etikett)</li>
        <li>b.) man erfasst zuerst die Artikeldaten und druckt danach die Etiketten mit den Artikeldaten drauf (ArtikelNr kommt aus System)</li>
        <li>Die Erfassung findet grundsätzlich unter (Link: Kunde -> Kunde in Liste suchen -> Artikelerfassung und Druck, klick auf "E") statt. Soll das System die Artikelnummer vergeben klickt man auf den Button "ArtikelNr durch System vergeben"</li>
        <li>Der Artikel benötigt mindestens die Informationen: Name, Preis und HappyHour Flag (näheres zu Happy Hour siehe unten)</li>
        <li>Zusätzlich kann man noch Werte bei Größe, Marke und Warengruppe eingeben. Die Warengruppe kann im Setup gepflegt werden</li>
        <li>Sollen die Etiketten nach der Erfassung gedruckt werden und nicht per Hand beschrieben kann man dies nun rechts unter dem Punkt "Drucke Etiketten" tun</li>
        <li>Optional: bei Artikel mit hohem Wert kann man nach der Erfassung auf Artikel editieren gehen und ein Bild hochladen welches beim Verkauf angezeigt wird (Link: -> Artikel->Artikel suchen->Ändern)</li>
        <li>Annahmeliste 2x drucken, eine durch Kunde unterschreiben lassen und eine behalten</li>
    </ul>
    <li>Verkauf</li>
    <ul>
        <li>Alle Artikel die der Kunde haben möchte im System erfassen, darauf achten dass Artikel des Kunden auch mit der Artikelbeschreibung/Wert/Bild übereinstimmt (Link: Verkauf)</li>
        <li>Ist die HappyHour erreicht, dann wird bei der Erfassung bereits automatisch der betrag abgezogen, dies ist anhand der Felder OriginalPreis und Verkaufspreis ersichtlich</li>
        <li>Danach den Kunden die Summe bezahlen lassen und mit Button "Alle Artikel als verkauft markieren" den Verkauf im System speichern und gleichzeitig die Liste leeren</li>
        <li>Artikel als verkauft markieren: Barcode durchstreichen oder Artikel in Sackerl verpacken und zuklammern</li>
        <li>Optional: z.B. alle halbe Stunde die Liste der Verkäufe drucken, dadurch wären im Notfall relevanten Daten auch auf Papier vorhanden (Link: Verkauf -> Verkaufsübersicht -> Drucke Verkaufsliste)</li>
        <li>Info: Um eine Preis-Änderung eines Artikels während der Verkaufszeit zu ermöglichen gibt es zwei Wege, einserseits könnte man den Parameter preisaenderung_verboten_ab weit in die Zukunft setzen und andererseits kann man in der Artikel Änderung unter Punkt "Admin Preisänderung" durch Eingabe des Passworts den Preis ändern</li>
    </ul>
    <li>Abholung</li>
    <ul>
        <li>Optional: Als Vorbereitung kann man eine Liste aller nicht verkauften Artikel drucken und die Artikel Kundenweise zusammensuchen (Link: Listen & Statistiken -> Liste nicht verkaufter Artikel pro Kunde)</li>
        <li>Kunde gibt seinen Namen od. KundenNr und wird im System gesucht (Link: Kunde -> Kunde in Liste suchen -> hinten auf die Lupe klicken)</li>
        <li>Abrechnung für Kunde drucken (Link: Seitenmenü -> Drucke Abrechnung  ), dieser Vorgang ist pro Kunde nur einmal möglich</li>
    </ul>
    <li>Reklamation</li>
    <ul>
        <li>Um eine Reklamation/Beschwerde zu erfassen geht man entweder unter der Artikelliste (Link: Artikel -> Artikelsuchen -> Reklamation erfassen) oder direkt unter dem Punkt Reklamation</li>
        <li>Die Reklamation kann auch dazu verwendet werden, um Informationen über Artikel zu sammeln bei denen es zu Problemen durch Etikettablösung und ähnlichem gekommen ist</li>
    </ul>
</ul> 
<a href="images/Prozesse.png" target="blank">Die Erstversion der Prozesse/Datenmodelle findet man hier.</a><br><br>

<h3>Weitere Abläufe und Informationen</h3>

<ul>
    <li>Listen & Statistiken</li>
    <ul>
        <li>Unter der Seite Listen & Statistiken sind verschiedenste Statistikansichten zusammengefasst</li>
        <li>z.B. aktueller Umsatz, Anzahl der Artikel etc.</li>
        <li>oder auch ein Änderungsprotokoll aller Artikel, und so weiter ...</li>
    </ul>
    <li>Setup</li>
    <ul>
        <li>Unter dem Punkt Setup kann man verschiedene Einstellungen vornehmen</li>
        <li>z.B. Pflege aller Texte und Prozentsätze die für den Endkunden relevant sind</li> 
        <li>Hinzufügen von weiteren Warengruppen</li> 
        <li>Verschiedene Möglichkeiten für den Etikettendruck</li> 
    </ul>
    <li>Happy Hour</li>
    <ul>
        <li>Durch die "Happy Hour" sollen zusätzliche Verkäufe zum Ende des Flohmarkts ermöglicht werden</li>
        <li>Dazu muss grundsätzlich definiert werden ab wann die Happy Hour gilt und wieviel prozent Rabatt es gibt, dies ist beides entsprechend den Kunden zu Kommunizieren und auch im Setup in den jeweiligen Parametern einzustellen.</li>
        <li>Für die Annahme muss ein deutlich erkennbares Kennzeichen für die Happy Hour Artikel ausgemacht werden (z.B. Gelbes Papier, Rotes Pickerl, Stempel etc.)</li>
        <li>Möchte nun ein Kunde seinen Artikel ab Zeitpunkt X günstiger verkaufen, dann wird beim Artikel das Happy Hour Flag auf Ja gestellt</li>
        <li>Beim Verkauf wird dann entsprechend abhängig von der Erfassungszeit des Verkaufs der Prozentsatz abgezogen oder eben nicht</li>
        <li>Bei der Endabrechnung des Kunden wird dann der tatsächliche Verkaufspreis für die Berechnung herangezogen</li>
    </ul>
</ul>


<h3>Tipps und Tricks</h3>

<ul>
<li>Suche: Man kann in den meisten Tabellen oben in den einzelnen Spalten Suchen indem man entweder einen Teil des zu suchenden Begriffs eingibt oder mit > Wert, < Wert, <> Wert bei Nummern die Suche eingrenzt. Zusätzlich können die Spalten auch mit Klick auf den Kopf sortiert werden.</li>
<br><li>Hotkeys: Man findet manchmal hinter einem Menüpunkt die Bezeichnung F1 oder ähnliches. Dies bedeutet, dass man den Menüpunkt dann mit der Taste F1 auf der tastatur aufrufen kann um schneller dahin zu springen.</li>
<br><li>Artikel/Kunden-Erfassung beschleunigen: Die Kunden oder Artikelerfassung kann ausschließlich über die Tastatur erfolgen. Der Ablauf wäre z.B. für einen neuen Kunden: F2 + Name + Tabulator + Telefonnummer + Enter. </li>
<br><li>Liste unter einer Erfassung zeigt plötzlich keine Daten mehr an: Kommt es bei der Erfassung zu einem Fehler wird die jeweilige Zeile rot markiert und ein Fehlertext ausgegeben. Gleichzeitig werden die Daten die darunter normalerweise dargestellt werden nicht mehr dargestellt. Sobald der Fehler behoiben ist werden die Daten wieder angezeigt.</li>
<br><li>Barcodeerfassung mit dem Handscanner funktioniert manchmal nicht: Wenn man mehrere Barcodes schnell hintereinander abschießt werden möglicherweise beide oder nur ein Teil eines Barcodes eingegeben. Es empfiehlt sich nach einer Barcode Eingabe mindestens eine Sekunde zu warten und weiters in der Liste darunter auch zu kontrollieren ob der Barcode korrekt auf einen passenden Artikel aufgelöst wurde.</li>
<br><li>Neuen Drucktyp für Etikettendruck erstellen: Dazu muss unter _lable_print/formulare ein neuer Ordner angelegt werden und darin die index.php und lable.css aus dem standard ordner kopiert werden. Weiters muss der Parameter etiketten_typen unter Setup um den String: Ordnernamen,EtikettenproBlattAnzahl; erweitert werden. Der Eintrag an der ersten Stelle wird automatisch vorausgewählt.</li>
<br><li>Alle wichtigen Texte lassen sich unter Setup entsprechend ändern</li>
<br><li>Beim Ausdrucken von Etiketten den Firefox verwenden, in der Druckansicht auf 100% stellen, alle Seitenränder auf 5mm und alle Zusatzinformationen (Seite von/bis, Url, etc) ausblenden</li>
<br><li>Sollte eine Funktion nicht wie gewünscht funktionieren kann es helfen den browser Cache zu leeren, normalerweise ist die tastenkombination Strg+Shift+Entf</li>
</ul> 

<h3>Checkliste Hardware vorort</h3>

<ul>
<li>Netzwerkausrüstung (Switch, WLAN-AP, Netzwerkkabel, Stromkabel, Verteiler)</li>
<li>2 Drucker inkls. Papier und Toner</li>
<li>3 Barcodescanner</li>
<li>Laptop und Server</li>
</ul> 



<!--
<h3>Todos/zu besprechen/Ideen:</h3>

<ul>
<li>Zu besprechen: Was ist wenn ein Artikel aus mehreren Teilen besteht, zB ein Dirndl + Schal + 2 Schürzen soll als ganzes um 250€ verkauft werden -> 4 Pickerl benötigt? -> Lösung: handgeschrieben mit "leeren" Etiketten mit Text gehört zu ArtikelNr XX</li>
<br><li>Idee: Alles was mehr als X € Kostet in speziellen Bereich geben und ein Auge darauf haben, zwecks Pickerl umkleben etc. 
Alternativ alles was mehr als 100€ kostet als Foto im System ablegen (Eingabe von Kamera+FotoNr bei > 100€ erzwingen, Foto danach reingeben) und Foto bei Verkauf prüfen -> Lösung: Foto implementieren</li>
<br><li>Idee: Einen groben Plan was wo ist, damit es sortiert und leichter auffindbar ist. Kleidungen / Schuhe nach Größen etc.</li>
<br><li>Idee: Klar erkennbar welcher Tisch/Team welches Stück angenommen hat -> unterschiedliche Nummern Bereich, Stiftfarben für Preis etc. für Rückfragen</li>
<br><li>Todo: Parameter wartbar machen, alle Texte, Prozentsätze, Barcodegrößen/Spalten</li>
<br><li>Zu besprechen: Zusammensuchen der Artikel für Abholung ist zeitlich am intensivsten und vom wegkommen der Sachen problematisch.
Ein Lösungsansatz wäre alle Artikel für den Kunden durch uns vorzubereiten, was aber lange dauert. 
Ein anderer Ansatz wäre der Kunde sucht sich selbst seine Sachen zusammen, hier müssten wir aber aufpassen das jeder nur seine Sachen nimmt, d.h. am Ausgang wird kontrolliert und darf nur mitgenommen werden was auch auf der Liste steht.</li>
Zu bedenken ist auch wie wir mit der Anzahl an Leuten umgehen: Wer kommt bei der Abrechnung zuerst dran, nur max. 30 Leute auf einmal suchen ihre Sachen zusammen etc. -> Unterstützung durch: Liste aller Kunden/Artikel für Druck
<br><li>..?</li>
</ul> 
-->