<?php
/* @var $this ArtikelController */
/* @var $model Artikel */
/* @var $model_user User */

$this->breadcrumbs=array(
	//'Artikelerfassung', //=>array('admin'),
	//'Manage',
);

$this->menu=array(
	//array('label'=>'List Artikel', 'url'=>array('index')),
	//array('label'=>'Erstelle Artikel', 'url'=>array('create')),
);

Yii::app()->clientScript->registerScript('search', "
$('.search-button').click(function(){
	$('.search-form').toggle();
	return false;
});
$('.search-form form').submit(function(){
	$('#artikel-grid').yiiGridView('update', {
		data: $(this).serialize()
	});
	return false;
});
");
?>

<div class="hide_on_print"><p><a href="index.php?r=artikel/admin">Zurück zur Anwendung</a></p></div>

<h1>Vorerfassungsliste</h1>

<p>Gedruck am <?php echo date("d.m.Y")." um ".date("H:i:s"); ?></p>


<h3>Kunde</h3>

<?php
    //$userid=$model_user->id;
    //$email=$model_user->email;

    $attributes = array(
        'id',
        'email',
        //'username',
    );
    
    $profileFields=ProfileField::model()->forOwner()->sort()->findAll();
    if ($profileFields) {
        foreach($profileFields as $field) {
            array_push($attributes,array(
                    'label' => UserModule::t($field->title),
                    'name' => $field->varname,
                    'type'=>'raw',
                    'value' => (($field->widgetView($model_user->profile))?$field->widgetView($model_user->profile):(($field->range)?Profile::range($field->range,$model_user->profile->getAttribute($field->varname)):$model_user->profile->getAttribute($field->varname))),
                ));
        }
    }
    
    /*
    array_push($attributes,
        //'password',
        //'email',
        //'activkey',
        //'create_at',
        //'lastvisit_at',
        array(
            'name' => 'superuser',
            'value' => User::itemAlias("AdminStatus",$model_user->superuser),
        ),
        
        array(
            'name' => 'status',
            'value' => User::itemAlias("UserStatus",$model_user->status),
        )
    );*/
    
    $this->widget('zii.widgets.CDetailView', array(
        'data'=>$model_user,
        'attributes'=>$attributes,
    ));

?>


<br><h3>Artikel</h3>

<?php $this->widget('zii.widgets.grid.CGridView', array(
	'id'=>'artikel-grid-print',
	'dataProvider'=>$model->search(),
	//'filter'=>$model,
	'columns'=>array(
		'ImportID',
		'Name',
		//'Preis',
		array(            
            'name'=>'Preis',
            'header'=>'Preis',
            'value'=> array($this,'getFormatedPreis') //function getWarengruppenName aus artikelController
        ),
        //'RefWarengruppeID',
        array(            
            'name'=>'RefWarengruppeID',
            'header'=>'Warengruppe',
            'value'=> array($this,'getWarengruppenName') //function getWarengruppenName aus artikelController
        ),
		'Groesse',
		'Marke',
		'HappyHourFlag',
		//'RefUserID',
	),
    'enableSorting'=>false,
    'summaryText'=>'', //kein text Displaying 1-3 of 3 results.
)); ?>
