<?php
/* @var $this VerkaufController */
/* @var $model Verkauf */

$this->breadcrumbs=array(
	'Verkauf'=>array('index'),
	'Create',
);

$this->menu=array(
	//array('label'=>'List Verkauf', 'url'=>array('index')),
	//array('label'=>'Verkaufsübersicht', 'url'=>array('admin')),
);
?>

<?php
//fokussierung immer auf die nummern eingabe
//Yii::app()->clientScript->registerScript('focus_barcode', "$('#Verkauf_ErfassterBarcode').focus();"); //wird jetzt direkt in form gesetzt
?>

<!--<h1>Erfasse weitere Artikel</h1>-->

<?php $this->renderPartial('_form', array('model'=>$model)); ?>

<!--<hr />
<h3>Zuletzt gescannter Artikel:</h3>-->
<?php $this->renderPartial('_viewartikel', array('model'=>$model)); ?>

<!--<hr />-->

<br><h3>Liste gescannter Artikel, aktuelle <span style="font-size:150%;"> Summe: <?php echo Verkauf::model()->calcSumme(); ?></span></h3>

<?php $this->renderPartial('_save', array('model'=>$model)); ?>

<?php 
    
    //limitiation der anzeige auf verkäufe die der aktuellen session gehören und noch offen sind
    $model->SessionID=Verkauf::model()->getCurrentSessionID();        
    $model->VerkaufErledigt="Nein";        


    $this->widget('zii.widgets.grid.CGridView', array(
        'id'=>'artikel-grid',
        'dataProvider'=>$model->search(),
        'columns'=>array(
            'ErfassungTS',
            'ErfassterBarcode',
            'RefArtikelNr',
            array(            
                'name'=>'ArtName',
                'value'=> array($this,'getArtikelName') //function getArtikelName aus verkaufController
            ),
            array(            
                'header'=>'Original Preis', 
                'name'=>'Preis',
                'value'=> array($this,'getArtikelPreis') //function getArtikelPreis aus verkaufController
            ),
            array(            
                'header'=>'Verkaufs Preis', 
                'name'=>'Preis',
                'value'=> array($this,'getArtikelVerkaufsPreis') //function getArtikelPreis aus verkaufController
            ),
            array(            
                'header'=>'bereits verkauft',
                'value'=> array($this,'getArtikelVerkauftTS') //function getArtikelVerkauftTS aus verkaufController
            ),
            /*array(
                'header'=>'Position stornieren',
                'class'=>'CButtonColumn',
                'template' => '{delete}',
            ),*/
            /*array(
                'header'=>'Position stornieren',       //input von http://stackoverflow.com/questions/18759869/yii-gridview-custom-button-ajax-success-dont-work-properly
                'class'    => 'CButtonColumn',         //wird hier benötigt damit der ajax request auch oben wieder in das eingabefeld hüpft
                'template' => '{mydelete}',
                'buttons'  => array(
                    'mydelete' => array(
                        'label' => 'delete',
                        'url' => 'yii::app()->controller->createurl("verkauf/delete", array("id" => $data->ID))',
                        'imageUrl'=>Yii::app()->request->baseUrl.'../images/icons/mydelete.png',
                        'options' => array (
                                'confirm' => 'Position stornieren ?',
                                'class' => 'btn',
                                'ajax'=>array(
                                    'type'=>'POST',
                                    'url'=>"js:$(this).attr('href')",
                                    'success' => "js:function() { $.fn.yiiGridView.update('artikel-grid'); $('#Verkauf_ErfassterBarcode').focus(); }"
                         )),
                    ),
                ),
            ), */
            array //dieser delete aufruf ist nicht über ajax, dadurch wird die gesamte seite und damit auch die gesamtsumme aktualisiert wenn man eine zeile löscht
            (
                'header'=>'Position stornieren', 
                'class'=>'CButtonColumn',
                'template'=>'{mydelete}',
                'buttons'=>array
                (
                    'mydelete' => array
                    (
                        'label'=>'Position stornieren',
                        'imageUrl'=>Yii::app()->request->baseUrl.'/images/icons/mydelete.png',
                        'url'=>'Yii::app()->createUrl("verkauf/delete", array("id"=>$data->ID))',
                        'options' => array (
                                'confirm' => 'Position stornieren ?',
                        )
                    ),
                ),
            ),
        ),
    )); 
?>

<?php
    echo "<span style=\"font-size:70%\">Meine aktuelle SessionID ist >>>".Verkauf::model()->getCurrentSessionID()."<<<<span>\n";
?>