<?php
/* @var $this ArtikelController */
/* @var $model Artikel */
/* @var $form CActiveForm */
?>

<div class="form">

<?php $form=$this->beginWidget('CActiveForm', array(
	'id'=>'artikel-form',
	// Please note: When you enable ajax validation, make sure the corresponding
	// controller action is handling ajax validation correctly.
	// There is a call to performAjaxValidation() commented in generated controller code.
	// See class documentation of CActiveForm for details on this.
	'enableAjaxValidation'=>true,
    'focus'=>array($model,'Name'), //fokus auf element artikelnr, bzw name
)); ?>

<?php

// alle warengruppen aus model auslesen
$wgr_data = Warengruppe::model()->findAll(array('order' => 'Name'));
// format models as $key=>$value with listData
$wgr_list = CHtml::listData($wgr_data, 'ID', 'Name');
//schreibe ID hinten an wgrliste dran
foreach($wgr_list as $temp_key=>$temp_val)
{
    $wgr_list[$temp_key]=$temp_key." - ".$temp_val;    
}  


//für happy hour flag
$option_list['Nein']='Nein';
$option_list['Ja']='Ja';   

?>


	<p class="note">Felder mit <span class="required">*</span> sind Pflichtfelder. Wechsel zwischen den Feldern mit TAB, speichern mit ENTER.</p>

	<?php echo $form->errorSummary($model); ?>

	<div class="row">
		<?php echo $form->labelEx($model,'Name'); ?>
		<?php echo $form->textField($model,'Name',array('size'=>60,'maxlength'=>100)); ?>
		<?php echo $form->error($model,'Name'); ?>
	</div>

	<div class="row">
		<?php echo $form->labelEx($model,'Preis'); ?>
		<?php echo $form->textField($model,'Preis'); ?>
		<?php echo $form->error($model,'Preis'); ?>
	</div>

	<div class="row">
        <?php echo $form->labelEx($model,'RefWarengruppeID'); ?>
        <?php echo $form->dropDownList($model,'RefWarengruppeID', $wgr_list,array('empty' => '(Eine Warengruppe auswählen)')); ?>
        <?php echo $form->error($model,'RefWarengruppeID'); ?>
    </div>

	<div class="row">
		<?php echo $form->labelEx($model,'Groesse'); ?>
		<?php echo $form->textField($model,'Groesse',array('size'=>10,'maxlength'=>10)); ?>
		<?php echo $form->error($model,'Groesse'); ?>
	</div>

	<div class="row">
		<?php echo $form->labelEx($model,'Marke'); ?>
		<?php echo $form->textField($model,'Marke',array('size'=>50,'maxlength'=>50)); ?>
		<?php echo $form->error($model,'Marke'); ?>
	</div>

	<div class="row">
		<?php echo $form->labelEx($model,'HappyHourFlag'); ?>
        <?php echo $form->dropDownList($model,'HappyHourFlag', $option_list); ?>
        <?php echo $form->error($model,'HappyHourFlag'); ?>
        <p class="hint">
                Info: Wenn der Tauschmarkt eine "Happy Hour" anbietet haben Sie hier die Möglichkeit für einzelne Artikel eine Preisreduktion zu erlauben. Stellen Sie dazu den Wert auf Ja.
                Alle Artikel mit Ja werden wenn Sie noch nicht verkauft wurden ab einem bestimmten Zeitpunkt zu einem reduzierten Preis angeboten und so eher verkauft. Die Details zum Ablauf erfahren Sie aus der Ausschreibung oder bei der Annahme vorot.
                Im Zweifel einfach die Standard Einstellung auf Nein belassen.
        </p>
	</div>

	<div class="row buttons">
		<?php echo CHtml::submitButton($model->isNewRecord ? 'Create' : 'Save'); ?>
	</div>

<?php $this->endWidget(); ?>

</div><!-- form -->