<?php
/* @var $this ArtikelController */
/* @var $model Artikel */

$this->breadcrumbs=array(
	'Artikelerfassung', //=>array('admin'),
	//'Manage',
);

$this->menu=array(
	//array('label'=>'List Artikel', 'url'=>array('index')),
    array('label'=>'Erstelle neuen Artikel', 'url'=>array('create')),
	array('label'=>'Drucke Vorerfassungsliste', 'url'=>array('print')),
);

Yii::app()->clientScript->registerScript('search', "
$('.search-button').click(function(){
	$('.search-form').toggle();
	return false;
});
$('.search-form form').submit(function(){
	$('#artikel-grid').yiiGridView('update', {
		data: $(this).serialize()
	});
	return false;
});
");
?>

<h1>Artikelerfassung</h1>


<?php //echo CHtml::link('Advanced Search','#',array('class'=>'search-button')); ?>
<div class="search-form" style="display:none">
<?php $this->renderPartial('_search',array(
	'model'=>$model,
)); ?>
</div><!-- search-form -->

<?php $this->widget('zii.widgets.grid.CGridView', array(
	'id'=>'artikel-grid',
	'dataProvider'=>$model->search(),
	'filter'=>$model,
	'columns'=>array(
		'ImportID',
		'Name',
		//'Preis',
        array(            
            'name'=>'Preis',
            'header'=>'Preis',
            'value'=> array($this,'getFormatedPreis') //function getWarengruppenName aus artikelController
        ),
		//'RefWarengruppeID',
        array(            
            'name'=>'RefWarengruppeID',
            'header'=>'Warengruppe',
            'value'=> array($this,'getWarengruppenName') //function getWarengruppenName aus artikelController
        ),
		'Groesse',
		'Marke',
		'HappyHourFlag',
		//'RefUserID',
        array(
            'header'=> 'Artikel Ändern',
            'class'=>'CButtonColumn',
            'template' => '{update}',
        ),
        array(
            'header'=> 'Artikel Löschen',
            'class'=>'CButtonColumn',
            'template' => '{delete}',
        ),
	),
)); ?>
